Package org.mariadb.jdbc.message.client

## Class HandshakeResponse

- java.lang.Object
- - org.mariadb.jdbc.message.client.HandshakeResponse

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class HandshakeResponse
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

### Constructor Summary

Constructors
`HandshakeResponse​(Credential credential, String authenticationPluginType, byte[] seed, Configuration conf, String host, long clientCapabilities, byte exchangeCharset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket`

### Constructor Detail

#### HandshakeResponse

    public HandshakeResponse​(Credential credential,
                             String authenticationPluginType,
                             byte[] seed,
                             Configuration conf,
                             String host,
                             long clientCapabilities,
                             byte exchangeCharset)

### Method Detail

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Throws:
  `IOException`